> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.1/api/csharp/yarn/yarn.ivariablestorage/yarn.ivariablestorage.trygetvalue.md).

# TryGetValue(string,T)

Method in [IVariableStorage](/2.1/api/csharp/yarn/yarn.ivariablestorage.md)

## Summary

Retrieves a value of type `T` by name.

```csharp
bool TryGetValue<T>(string variableName, out T result);
```

## Parameters

| Name                  | Description                                                                                                                                                                                                   |
| --------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `string` variableName | The name of the variable to retrieve the value of.                                                                                                                                                            |
| `T` result            | On return, if this method returned true, contains the retrieved value. If this method returned false, contains the default value of `T` (for example, `0` for `float` values, `null` for strings, and so on.) |

## Type Parameters

| Name | Description                           |
| ---- | ------------------------------------- |
| T    | The type of the variable to retrieve. |

## Returns

`true` if a value named `variableName` of type `T` was retrieved; `false` otherwise.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.1/api/csharp/yarn/yarn.ivariablestorage/yarn.ivariablestorage.trygetvalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
